<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="razgriz.news.model.rss10"
   name="Razgriz RSS10 News Model Plug-in"
   version="0.0.6"
   provider-name="KAMO Masahiko">

   <runtime>
      <library name="runtime/news.model.rss10.jar">
         <export name="*"/>
      </library>
   </runtime>

   <requires>
      <import plugin="org.eclipse.core.runtime"/>
      <import plugin="razgriz.common"/>
      <import plugin="razgriz.news"/>
      <import plugin="razgriz.news.model"/>
   </requires>

   <extension
         point="org.eclipse.emf.ecore.generated_package">
      <package
            uri="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
            class="razgriz.news.model.rss10.RSS10Package">
      </package>
   </extension>
   <extension
         point="org.eclipse.emf.ecore.extension_parser">
      <parser
            type="rss10"
            class="razgriz.news.model.rss10.util.DefaultRSS10ResourceFactoryImpl">
      </parser>
   </extension>
   <extension
         id="razgriz.news.clippers.rss10"
         name="RSS10 Clipper"
         point="razgriz.news.clippers">
      <clipper
            class="razgriz.news.model.rss10.clipper.RSS10NewsClipper"
            id="razgriz.news.model.rss10.clipper">
      </clipper>
   </extension>

</plugin>
